Subject: Re: git 1.7.1 freezing during http transport with sideband

From: Johannes Sixt <[email-masked]>
Date: Wed, 19 May 2010 08:05:42 +0200

Am 5/19/2010 3:37, schrieb Pedro Belo:
> Git 1.7.1 is freezing when I push something via http and the hook has
> some output. From the client side, I see the hook output prefixed with
> "remote: " as expected - and then the process just hangs.
> 
> The interesting part is I could work around it by adding a sleep to the hook.
> 
> Tested on debian 5.0.4 and git 1.7.1. Couldn't reproduce on a mac.

We do have a bug (and a fix for it) that causes a hang that might be
related. If you had said what you did, which hooks you use, and what the
output was, perhaps it would have been possible to help you some more.

-- Hannes